Ensemble Forecasts
Create a New Forecast Job from an Immutable Historical Configuration
Creates a new durable job from the original authorized input snapshot, exact model checkpoints, and stored configuration. Current workspace permissions, plan, and license gates are re-evaluated.
POST
/
ensemble-forecasts
/
{forecast_id}
/
reproduce
Create a New Forecast Job from an Immutable Historical Configuration
curl --request POST \
--url https://quantura.studio/api/v1/ensemble-forecasts/{forecast_id}/reproduce \
--header 'Authorization: Bearer <token>'import requests
url = "https://quantura.studio/api/v1/ensemble-forecasts/{forecast_id}/reproduce"
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
fetch('https://quantura.studio/api/v1/ensemble-forecasts/{forecast_id}/reproduce', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"forecast_id": "ens_01JEXAMPLE7M6N",
"status": "queued",
"progress": {
"completed_models": 0,
"total_models": 4,
"current_model": null
},
"status_url": "/api/v1/ensemble-forecasts/ens_01JEXAMPLE7M6N",
"result_url": "/api/v1/ensemble-forecasts/ens_01JEXAMPLE7M6N"
},
"meta": {
"api_version": "v1"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Forecast id or unique slug.
⌘I
Create a New Forecast Job from an Immutable Historical Configuration
